/*
Liquid War is a multiplayer wargame.
Copyright (C) 2005  Christian Mauduit <ufoot@ufoot.org>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

Liquid War homepage : http://www.ufoot.org/liquidwar
Contact author      : ufoot@ufoot.org
*/

#ifndef LIQUIDWAR6_COMMON_H
#define LIQUIDWAR6_COMMON_H

#include "config.h"
#include "gettext.h"
#ifndef _
#define _(string) gettext(string)
#endif

/*
 * These integers and #defines are used to keep track
 * of the number of calls to malloc/free, they are
 * instanciated in the LW program, not in the library.
 */
extern int lw6_malloc_counter;
extern int lw6_free_counter;
#define LW6SYS_MALLOC_COUNTER &lw6_malloc_counter
#define LW6SYS_FREE_COUNTER &lw6_free_counter

#endif
