;Liquid War is a multiplayer wargame.
;Copyright (C) 2005  Christian Mauduit <ufoot@ufoot.org>
;
;This program is free software; you can redistribute it and/or
;modify it under the terms of the GNU General Public License
;as published by the Free Software Foundation; either version 2
;of the License, or (at your option) any later version.
;
;This program is distributed in the hope that it will be useful,
;but WITHOUT ANY WARRANTY; without even the implied warranty of
;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;GNU General Public License for more details.
;
;You should have received a copy of the GNU General Public License
;along with this program; if not, write to the Free Software
;Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
;Liquid War homepage : http://www.ufoot.org/liquidwar
;Contact author      : ufoot@ufoot.org

;(use-modules (oop goops))
;(debug-enable 'debug)
;(debug-enable 'backtrace)
(read-enable 'positions)
(debug-enable 'debug)
(debug-enable 'backtrace)
(debug-set! frames 12)
(debug-set! depth 50)

(define (lazy-catch-handler key . args)
  ;(let ((stack (make-stack #t lazy-catch-handler)))
  (let ((stack (make-stack #t 5)))
    ;; do whatever you want with stack, such as
    ;; saving it off or calling display-backtrace
    (let (
	  (backtrace-port (open-output-string))
	  (stack (make-stack #t))
	  )
      (begin
	(display-backtrace stack backtrace-port 
			   (- (stack-length stack) 5)
			   (- (stack-length stack) 8))

	(c-lw6sys-log-warning 
	 (format #f
		 "~a \"~a\"\n~a"
		 (_ "scheme error")
		 (apply format (cons #f (cons (cadr args) (caddr args))))
		 (get-output-string backtrace-port)
		 ))
	(close-output-port backtrace-port)	       
	)
      )
    )
    ;(apply throw key args)
  )

(catch #t
       (lambda () 
	 (lazy-catch #t
		     (lambda () 
		       (begin
			 (c-lw6sys-log-info (_ "running scheme code with Guile"))
			 (load "main.scm")		   
			 (lw6-main)
			 (c-lw6sys-log-info (_ "leaving Guile"))
			 )
		       )
		       lazy-catch-handler
		       )
	 )
       (lambda (key . args)
	 (c-lw6sys-log-info(_ "unexepected error, leaving Guile without proper cleanup"))
	 )
       )



